### Method

# AppStream Component get_search_tokens

since: 0.9.7

#### Declaration [src]

    GPtrArray*
    as_component_get_search_tokens (
      AsComponent* cpt
    )

#### Description [src]

Returns all search tokens for this component.

Available since: 0.9.7

#### Return value

Type: An array of `utf8`

The string search tokens.

The caller of the method takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.